<div class='loads'>

  <table mat-table matSort [dataSource]="loads">

    <ng-container matColumnDef="index">
      <th mat-header-cell *matHeaderCellDef> # </th>
      <td mat-cell *matCellDef="let index = index">{{(index + 1) + (paginator.pageIndex * paginator.pageSize) }}</td>
    </ng-container>

    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef i18n> LOAD NAME </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>

    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef i18n> CREATED DATE </th>
      <td mat-cell *matCellDef="let element"> {{element.created_date | date:'h:mm:ss LLL, dd, yyyy'}} </td>
    </ng-container>

    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef i18n> STATUS </th>
      <td mat-cell *matCellDef="let element"> {{element.status}} </td>
    </ng-container>

    <ng-container matColumnDef="pickup">
      <th mat-header-cell *matHeaderCellDef i18n> PICK-UP ADDRESS </th>
      <td mat-cell *matCellDef="let element"> {{element.pickup_address}} </td>
    </ng-container>

    <ng-container matColumnDef="delivery">
      <th mat-header-cell *matHeaderCellDef i18n> DELIVERY ADDRESS </th>
      <td mat-cell *matCellDef="let element"> {{element.delivery_address}} </td>
    </ng-container>


    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr class='loads__row' mat-row *matRowDef="let row; columns: displayedColumns;" (click)='openLoad(row)'></tr>
  </table>

  <mat-paginator #paginator [length]="length"
                 [pageSize]="pageSize"
                 [pageSizeOptions]="pageSizeOptions"
                 (page)="handlePageEvent($event)"
                 aria-label="Select page">
  </mat-paginator>

  <div *ngIf='isLoading' class='spinner'>
    <app-spinner></app-spinner>
  </div>

</div>
